Webkit

From Evolution-plugins
Jump to: navigation, search

WebKit

WebKit is an open-source web content engine used by web browsers such as Apple Safari and KDE Konqueror.

This page contains instructions on how to build Webkit, for GNOME application that might use Webkit, such as:

- epiphany, 
- evolution-RSS,
- devhelp

The following in an HOWTO build Webkit for Fedora and Ubuntu

Installing WebKit

First we need to install WebKit. Since the gtk port of WebKit is still under development, we will grab the trunk version of WebKit

svn checkout http://svn.webkit.org/repository/webkit/trunk WebKit 

Few packages required (Fedora):

  • qt4-devel (Note: qt is not required in order to run webkit, it is just required for build)
  • glibc-devel
  • libicu-devel
  • curl-devel
  • sqlite-devel
  • gperf
  • flex

Few packages required (Ubuntu):

  • libqt4-dev
  • libcurl3-dev
  • libxslt-dev
  • libicu-dev
  • libsqlite3-dev
  • g++
  • bison
  • gperf
  • flex

- Node packages neeed for each distro depends on the type of installation. - Please make sure you have all above installed as webkit build process is very very picky about those.

Quoting webkit.org site:

If you forgot to install one of the build dependencies, your build tree might be in a bad state
and might fail to compile even after you've installed the missing dependency. In this case, you
should ensure your SVN checkout is entirely clean with eg. make -C WebKitBuild/Release/WebCore clean

- Qt4 is only required for the build process (and I might add it was a very very wrong choice for build environment)


probably you could make a symlink for qmake in order for build scripts to find it in the path

ln -s /usr/lib/qt4/bin/qmake /usr/bin

Then we build ..

export PREFIX=/usr
cd WebKit; ./WebKitTools/Scripts/build-webkit –qmakearg=WEBKIT_INC_DIR=$PREFIX/include/WebKit –qmakearg=WEBKIT_LIB_DIR=$PREFIX/lib --gdk 

And install ..

cd WebKitBuild/Release; make install

Attention!!

The install process does not correctly install pc file (pkgconfig file), the location is totally wrong so ensure you manually copy WebKitGdk.pc or issue:

install -m 644 -p "lib/WebKitGdk.pc" "/usr/lib/WebKitGdk.pc"

form WebKitBuild/Release directory.

To test installation was sucess issue:

# pkg-config --libs WebKitGdk

and the result should be something like

-L/home/cooly/WebKit/WebKitBuild/Release/lib -lWebKitGdk -licui18n -licuuc -licudata -lpthread
-ljpeg -lpng  -lsqlite3 -lfreetype -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0
-lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes
-lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lcurl -lgssapi_krb5 -lkrb5
-lk5crypto -lcom_err -lkrb5support -lresolv -lidn -ldl -lssl -lcrypto -lz  -lxslt -lm -lxml2